summaryrefslogtreecommitdiff
path: root/dev-python/rsa
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-05-15 00:38:00 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-05-15 00:38:00 +0000
commit1718a3de3d39e0052f2bca93fe0662036915c9b6 (patch)
tree72d1aaca93720fd8bf4593f6401e33c31e04dfb0 /dev-python/rsa
parent6f0a284d3e882f261a4e7a0feb784fb384a16f3f (diff)
downloadbaldeagleos-repo-1718a3de3d39e0052f2bca93fe0662036915c9b6.tar.gz
baldeagleos-repo-1718a3de3d39e0052f2bca93fe0662036915c9b6.tar.xz
baldeagleos-repo-1718a3de3d39e0052f2bca93fe0662036915c9b6.zip
Adding metadata
Diffstat (limited to 'dev-python/rsa')
-rw-r--r--dev-python/rsa/rsa-4.8-r1.ebuild37
1 files changed, 37 insertions, 0 deletions
diff --git a/dev-python/rsa/rsa-4.8-r1.ebuild b/dev-python/rsa/rsa-4.8-r1.ebuild
new file mode 100644
index 000000000000..7f62e3e9fc96
--- /dev/null
+++ b/dev-python/rsa/rsa-4.8-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+MY_P=python-rsa-version-${PV}
+DESCRIPTION="Pure-Python RSA implementation"
+HOMEPAGE="
+ https://stuvel.eu/rsa/
+ https://github.com/sybrenstuvel/python-rsa/
+ https://pypi.org/project/rsa/
+"
+SRC_URI="
+ https://github.com/sybrenstuvel/python-rsa/archive/version-${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/pyasn1-0.1.3[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ rm tests/test_mypy.py || die
+ distutils-r1_src_prepare
+}